# $Id: fastforward.spec,v 1.1 2016/02/07 14:12:56 stephdl Exp $

#
# RPM spec file for Dan Bernstein's fastforward package
#
# $Id: fastforward.spec,v 1.1 2016/02/07 14:12:56 stephdl Exp $
#
%global debug_package %{nil}
Summary: fastforward handles qmail forwarding according to a cdb database
%define name fastforward
Name: %{name}
%define version 0.51
%define release 6
Version: %{version}
Release: %{release}%{?dist}
License: Daniel J. Bernstein
Group: Networking/Daemons
Source: http://cr.yp.to/software/%{name}-%{version}.tar.gz
URL: http://cr.yp.to/%{name}.html
Patch0: %{name}-%{version}.patch.2001020500
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Provides: fastforward
#Requires: qmail
Requires: /var/qmail/bin/qmail-queue
BuildRequires: groff
AutoReqProv: no

%description
fastforward handles qmail forwarding according to a cdb database. It
can create forwarding databases from a sendmail-style /etc/aliases or
from user-oriented virtual-domain tables.

fastforward supports external mailing lists, stored in a binary format
for fast access. It has a tool to convert sendmail-style include files
into binary lists.

fastforward is more reliable than sendmail. sendmail can't deal with
long aliases, or deeply nested aliases, or deeply nested include
files; fastforward has no limits other than memory. sendmail can
produce corrupted alias files if the system crashes; fastforward is
crashproof.

fastforward's database-building tools are much faster than sendmail's
newaliases. Even better, fastforward deliveries don't pause while the
database is being rebuilt.

fastforward does not support insecure sendmail-style program
deliveries from include files; you can use qmail's secure built-in
mechanisms instead. fastforward does support program deliveries from
/etc/aliases.

%changelog
* Wed Dec 04 2024 Jean-Philippe Pialasse <jpp@koozali.org> 0.51-6.sme
- requires qmail-queue rather than qmail rpm for mini-qmail compatibility

* Thu Mar 14 2024 Jean-Philippe Pialasse <jpp@koozali.org> 0.51-5.sme
- fix debuginfo empty filelist [SME: 12504]

* Fri Jul 14 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Sun Feb 7 2016 stephane de Labrusse <stephdl@de-labrusse.fr> 
- New build for sme10

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Tue Oct 11 2005 Charlie Brady <charlieb@e-smith.com> 0.51-04
- Rebuild under CentOS 4. Includes errno.h compiler configuration
  fix.

* Thu Feb  8 2001 Adrian Chung <adrianc@e-smith.com>
- Rolling release number for GPG signing.

* Mon Feb 5 2001 Peter Samuel <peters@e-smith.com>
- [0.51-02]
- Now installs in its own root area prior to creating binary RPM.

* Mon Mar 29 1999 Joseph Morrison <jdm@e-smith.com>
- [0.51-1]
- initial release

%prep
%setup

# This patch allows files to be installed in a relative directory prior
# to creating the binary RPM. It does not change the files or their
# final installed locations.

%patch0 -p1

# Create the relative installation directory.

mkdir -p ./root/var/qmail

%build
echo gcc --include /usr/include/errno.h > conf-cc
make

%install
make setup
make check
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(755,root,root) /var/qmail/bin/fastforward
%attr(755,root,root) /var/qmail/bin/printforward
%attr(755,root,root) /var/qmail/bin/setforward
%attr(755,root,root) /var/qmail/bin/newaliases
%attr(755,root,root) /var/qmail/bin/printmaillist
%attr(755,root,root) /var/qmail/bin/setmaillist
%attr(755,root,root) /var/qmail/bin/newinclude
%attr(755,root,root) %dir /var/qmail/doc/fastforward
%attr(644,root,root) /var/qmail/doc/fastforward/ALIASES
%attr(644,root,root) /var/qmail/man/man1/fastforward.1
%attr(644,root,root) /var/qmail/man/man1/printforward.1
%attr(644,root,root) /var/qmail/man/man1/setforward.1
%attr(644,root,root) /var/qmail/man/man1/newaliases.1
%attr(644,root,root) /var/qmail/man/man1/printmaillist.1
%attr(644,root,root) /var/qmail/man/man1/setmaillist.1
%attr(644,root,root) /var/qmail/man/man1/newinclude.1
%attr(644,root,root) /var/qmail/man/cat1/fastforward.0
%attr(644,root,root) /var/qmail/man/cat1/printforward.0
%attr(644,root,root) /var/qmail/man/cat1/setforward.0
%attr(644,root,root) /var/qmail/man/cat1/newaliases.0
%attr(644,root,root) /var/qmail/man/cat1/printmaillist.0
%attr(644,root,root) /var/qmail/man/cat1/setmaillist.0
%attr(644,root,root) /var/qmail/man/cat1/newinclude.0
